# Created by pyp2rpm-3.3.2
%global pypi_name dj-database-url

# no tests dir in sources from PYPI
%bcond_with test

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        %mkrel 7
Summary:        Use Database URLs in your Django Application
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/dj-database-url/
Source0:        https://files.pythonhosted.org/packages/01/c4/98fbf678e810029be8078419f7bba626aafa2e81bc38748757db954c477c/%pypi_name-%version.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pygments) >= 2.1
BuildRequires:  python3dist(setuptools)

%description
Use Database URLs in your Django Application

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pygments) >= 2.1

%description -n python3-%{pypi_name}
Use Database URLs in your Django Application

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dj_database_url

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 0.5.0-7.mga10
+ Revision: 2156923
- rebuild for python3.13

* Sun Dec 22 2024 papoteur <papoteur> 0.5.0-6.mga10
+ Revision: 2128981
- add and use pytest

* Mon Jan 29 2024 papoteur <papoteur> 0.5.0-5.mga10
+ Revision: 2035806
- rebuild for python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.5.0-4.mga9
+ Revision: 1825128
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.5.0-3.mga9
+ Revision: 1785407
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.5.0-2.mga9
+ Revision: 1732378
- Rebuild for python 3.9

* Fri Jan 01 2021 neoclust <neoclust> 0.5.0-1.mga8
+ Revision: 1667591
- imported package python-dj-database-url

